Bug 1180942 - qemu core dumped when unhotplug gpu card assigned to guest
Summary: qemu core dumped when unhotplug gpu card assigned to guest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Alex Williamson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1170871
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 01:18 UTC by Alex Williamson
Modified: 2015-03-05 08:14 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-1.5.3-86.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1170871
Environment:
Last Closed: 2015-03-05 08:14:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0349 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2015-03-05 12:27:34 UTC

Comment 2 Alex Williamson 2015-01-12 05:00:56 UTC
This is a potential QEMU segfault, so I've cloned to qemu-kvm for RHEL.

Fixed by qemu.git b3e27c3aee8f5a96debfe0346e9c0e3a641a8516

A fairly effective test for this is to install the debuginfo package and run gdb on qemu before removing the device.  Set a breakpoint on vfio_intx_interrupt.  After removing the device with device_del or libvirt tools, vfio_intx_interrupt should not be called.  In the failing case, it continues to be called with the opaque data for the deleted device.  Since the error is continued use of an fd with freed data, reliable test cases can be temporary.

Comment 5 Miroslav Rezanina 2015-01-25 17:27:47 UTC
Fix included in qemu-kvm-1.5.3-86.el7

Comment 7 FuXiangChun 2015-01-27 09:59:14 UTC
QE tested bug with the latest qemu-kvm-1.5.3-86.el7.x86_64. The following are test scenarios and result.

S1. Assigned one GPU device(k1 or k2) to guest. then unhotplug it.

For windows(win7 64big) guest. qemu and guest work well

For RHEL7.1 guest. qemu and guest work well(guest kernel 3.10.0-226.el7.x86_64)

S2. Assigned two GPU devices(k1 and k2) to guest. then unhotplug one of them and restart guest.  

result:guest kernel panic. I filed a new bug 1186194 to track it.

Comment 8 FuXiangChun 2015-01-27 10:02:31 UTC
(In reply to FuXiangChun from comment #7)
> QE tested bug with the latest qemu-kvm-1.5.3-86.el7.x86_64. The following
> are test scenarios and result.
> 
> S1. Assigned one GPU device(k1 or k2) to guest. then unhotplug it.
> 
> For windows(win7 64big) guest. qemu and guest work well
> 
> For RHEL7.1 guest. qemu and guest work well(guest kernel
> 3.10.0-226.el7.x86_64)
> 
> S2. Assigned two GPU devices(k1 and k2) to guest. then unhotplug one of them
> and restart guest.  
> 
> result:guest kernel panic. I filed a new bug 1186194 to track it.

Additional info, I tested win7 guest as well, window guest does not hit this issue.

Comment 11 errata-xmlrpc 2015-03-05 08:14:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html


Note You need to log in before you can comment on or make changes to this bug.